Skip to content
Release: Australia · Updated: 2026-03-12 · Official documentation · View source

Install Base Item API

The Install Base Item API provides endpoints to access and manage install base items records within a ServiceNow instance.

An install base item represents an instance of a product that has been configured for a customer. Install base items enable you to track all purchases made by a customer.

You can also perform CRUD operations on the Install Base Related Parties related list using this API. In addition, you can read records in other install base items related lists, such as cases, contracts, entitlements, maintenance plans, sold products, and work orders.

To access this API you must have either the sn_install_base.ib_api_write or sn_install_base.ib_api_read role depending on the type of CRUD action that you are trying to perform.

To access the various endpoints in this API the following plugins must be installed:

  • Customer Service Install Base Management (com.snc.install_base)
  • Planned Work Management (sn_fsm_planned_wm) if you want to retrieve maintenance plan and work order data.

This API runs in the sn_install_base namespace.

Note: This API only returns non-empty fields in the endpoint responses. Also, none of the system level fields (those prefaced with "sys_") are returned except the sys_id field.

For additional information on install base items, see Create an install base item.

Parent Topic:REST API reference

Install Base Item - DELETE /sn_install_base/integrations/installbaseitems/{id}/relatedparties/{related_party_sys_id}

Disassociates a specified related parties record from a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/relatedparties/{related_party_sys_id}

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/relatedparties/{related_party_sys_id}

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
idSys\_id of the install base item record.Data type: String Table: Install Base Item \[sn\_install\_base\_item\]
related\_party\_sys\_idSys\_id of the related party record.Data type: String Table: Install Base Related Party \[sn\_install\_base\_related\_party\]
NameDescription
None 
NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
403Forbidden. The user doesn't have access rights to the specified record.
404Not found. The requested item wasn't found.
500Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

NameDescription
errorDetails about the error that occurred when trying to process the request.Data type: Object
"error": {
  "detail": "String",
  "message": "String"
}
error.detailAdditional details about the associated error.Data type: String
error.messageError message that describes the problem that occurred when trying to execute the request.Data type: String
resultDescription of the endpoint results.Data type: Object
result.statusStatus of the endpoint request. Possible values: - SUCCESS - FAILURE Data type: String

cURL request

The following code example shows how to call this endpoint.

curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/f77c7542b7343300ece839a6ee11a991/relatedparties/2a42dfae872521100b6afc86dabb356b" \
--request DELETE \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "status": "SUCCESS"
  }
}

Install Base Item - GET /sn_install_base/integrations/installbaseitems

Returns all install base items. You can pass parameters within the call to filter the return results.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems

Default URL: /api/sn_install_base/integrations/installbaseitems

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
NameDescription
field name-value pairs

Field-value pairs to use to filter the install base item records. If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the state field is set to "in_use" and the status field is set to "replacement", pass the follow: &state=in_use&status=replacement.

Data type: String

Default: All fields

Table: Install Base Item [sn_istall_base_item]

related\_partySys\_id of a related party record.Filters the install base item records based on the specified related party. A related party can be linked to an install base item or a sold product. Valid values: - account sys\_id: Located in the Account \[customer\_account\] table. - consumer sys\_id: Located in the Consumer \[csm\_consumer\] table. - contact sys\_id: Located in the Contact \[customer-contact\] table. - service organization sys\_id: Located in the Service Organization \[sn\_customer\_service\_organization\] table. - user sys\_id: Located in the User \[sys-user\] table. Data type: String Table: Install Base Related Party \[sn\_install\_base\_related\_party\]
responsibility

Sys_id of the associated responsibility record. This record defines the access level for the install base information.This parameter is only valid if the related_party field is also specified. If specified, it only returns the install base items that match both the related_party and responsibility parameters.

For additional information, see Configure related parties for Items Received.

Data type: String

sys\_class\_nameIf the desired records are in a table that extends the Install Base Items \[sn\_install\_base\_item\] table, the name of the extended table to query.Data type: String
sysparm\_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm\_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
400Bad Request. A bad request type or malformed request was detected.
403Forbidden. The user doesn't have access rights to the specified record.
500Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

The following return results only describe the return values for records returned from the Install Base Items [sn_install_base_items] table.

NameDescription
errorDetails about the error that occurred when trying to process the request.Data type: Object
"error": {
  "detail": "String",
  "message": "String"
}
error.detailAdditional details about the associated error.Data type: String
error.messageError message that describes the problem that occurred when trying to execute the request.Data type: String
has\_moreFlag that indicates whether there are more records in the table to return.Possible values: - true: More records to return. - false: No more records to return. Data type: Boolean string
itemsList of the install base items that matched the specified filter results.Data type: Array of Objects
"items":[
  {
    "account": {Object},
    "active": "String",
    "asset": {Object},
    "configuration_item": {Object},
    "consumer": {Object},
    "consumer_profile": {Object},
    "contact": {Object},
    "health_status": {Object},
    "health_status_last_updated": "String",
    "household": {Object},
    "install_date": {Object},
    "location": {Object},
    "name": "String",
    "number": "String",
    "parent": {Object},
    "product": {Object},
    "service_context": {Object},
    "service_organization" {Object},
    "sys_class_name": "String",
    "sys_id": "String",
    "sys_mod_count": "String",
    "state": {Object},
    "status": {Object},
    "uninstall_date": "String"
  }
]
items.accountDetails about the customer account associated with the install base item record.Data type: Object
"account": {
  "display_value": "String",
  "sys_id": "String"
}
items.account.display\_valueText name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String
items.account.sys\_idSys\_id of the customer account record associated with the install base item record.Data type: String
items.activeFlag that indicates whether the install base item is active.Possible values: - true: Install base item is active. - false: Install base item is inactive. Data type: Boolean String
items.assetDetails about the asset associated with the install base item record.Data type: Object
"asset": {
  "display_value": "String",
  "sys_id": "String"
}
items.asset.display\_valueText name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String
items.asset.sys\_idSys\_id of the asset record associated with the install base item record.Data type: String
items.configuration\_itemDetails about the configuration item associated with the install base item record.Data type: Object
"configuration_item": {
  "display_value": "String",
  "sys_id": "String"
}
items.configuration\_item.display\_valueText name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String
items.configuration\_item.sys\_idSys\_id of the configuration item record associated with the install base item record.Data type: String
items.consumer

Details about the consumer associated with the install base item record.Note: The consumer field is only available if the B2B2C plugin is installed.

Data type: Object

"consumer": {
  "display_value": "String",
  "sys_id": "String"
}
items.consumer.display\_valueText name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String
items.consumer.sys\_idSys\_id of the consumer record associated with the install base item record.Data type: String
items.consumer\_profile

Details about the consumer profile associated with the install base item record.Note: The consumer profile field is only available if the B2B2C plugin is installed.

Data type: Object

"consumer_profile": {
  "display_value": "String",
  "sys_id": "String"
}
items.consumer\_profile.display\_valueText name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String
items.consumer\_profile.sys\_idSys\_id of the consumer profile record associated with the install base item record.Data type: String
items.contactDetails about the account contact responsible for the install base item record.Data type: Object
"contact": {
  "display_value": "String",
  "sys_id": "String"
}
items.contact.display\_valueText name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String
items.contact.sys\_idSys\_id of the account contact record associated with the install base item record.Data type: String
items.health\_statusDetails about the current health status of the install base item. Only returned if the Proactive Customer Service Operations \(com.snc.proactive\_cs\_itom\) plugin is installed.Data type: Object
"health_status": {
  "display_value": "String",
  "value": "String"
}
items.health\_status.display\_valueText string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String
items.health\_status.valueInternal value of the health status of the install base item.Data type: String
items.health\_status\_last\_updatedDate and time when the health status was last updated for the install base item.Data type: String
items.householdDetails about the household associated with the install base item record. Only returned if the Customer Household Data Model \(com.snc.household\) plugin is installed.Data type: Object
"household": {
  "display_value": "String",
  "sys_id": "String"
}
items.household.display\_valueText name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String
items.household.sys\_idSys\_id of the household associated with the install base item record.Data type: String
items.install\_dateDetails about the date when the install base item became active.Data type: Object
"install_date": {
  "display_value": "String",
  "value": "String"
}
items.install\_date.display\_valueText install date. Use this value to display the install date in the UI.Data type: String
items.install\_date.valueInternal value of the install date.Data type: String
items.locationDetails about the location of the install base item.Data type: Object
"location": {
  "display_value": "String",
  "sys_id": "String"
}
items.location.display\_valueText name of the install base item location. Use this value to display the location name in the UI.Data type: String
items.location.sys\_idSys\_id of the location record associated with the install base item record.Data type: String
items.nameName of the install base item.Data type: String
items.numberUnique ID of the install base item.Data type: String
items.parentDetails about the parent record of the install base item record.Data type: Object
"parent": {
  "display_value": "String",
  "sys_id": "String"
}
items.parent.display\_valueText name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String
items.parent.sys\_idSys\_id of the parent record associated with the install base item record.Data type: String
items.productDetails about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object
"product": {
  "display_value": "String",
  "sys_id": "String"
}
items.product.display\_valueText name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String
items.product.sys\_idSys\_id of the product model record associated with the install base item record.Data type: String
items.service\_contextDetails about the service context associated with the install base item record.Data type: Object
"service_context": {
  "display_value": "String",
  "sys_id": "String"
}
items.service\_context.display\_valueText name of the service context associated with the install base item record. Use this value to display the service context name in the UI.Data type: String
items.service\_context.sys\_idSys\_id of the service context record associated with the install base item record.Data type: String
items.service\_organizationDetails about the service organization associated with the install base item record. Only returned if the Service Organization \(com.snc.service\_organization\) plugin is installed.Data type: Object
"service_organization": {
  "display_value": "String",
  "sys_id": "String"
}
items.service\_organization.display\_valueText name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String
items.service\_organization.sys\_idSys\_id of the service organization record associated with the install base item record.Data type: String
items.sys\_class\_nameTable containing the install base item record.Data type: String
items.sys\_idSys_id of the install base item record. Located in the table specified in the sys_class_name parameter.Data type: String
items.sys\_mod\_countNumber of times that the associated install base item record has been modified.Data type: String
items.stateDetails about the current state of the install base item.Data type: Object
"state": {
  "display_value": "String",
  "value": "String"
}
items.state.display\_valueText string of the current state of the install base item. Use this value to display the state in the UI.Data type: String
items.state.valueInternal value of the state of the install base item.Data type: String
items.statusDetails about the status of the install base item.Data type: Object
"status": {
  "display_value": "String",
  "value": "String"
}
items.status.display\_valueText string of the status of the install base item. Use this value to display the status in the UI.Data type: String
items.status.valueInternal value of the status of the install base item.Data type: String
items.uninstall\_dateDetails about the date when the install base item became inactive.Data type: Object
"uninstall_date": {
  "display_value": "String",
  "value": "String"
}
items.uninstall\_date.display\_valueText uninstall date. Use this value to display the uninstall date in the UI.Data type: String
items.uninstall\_date.valueInternal value of the uninstall date.Data type: String
statusStatus of the endpoint call.Data type: String
sysparm\_depthNumber of levels deep the returned child install base item is in the hierarchy.Data type: Integer
sysparm\_limitNumber of records that were returned. If this value isn't specified in the original request, it uses the default value.Data type: Number
sysparm\_offsetOffset \(starting point\) in the associated table from which records were evaluated and retrieved.Data type: String

cURL request

The following code example shows a simple call that only returns a single record starting at offset 5.

curl "https://instance.servicenow.com/api/sn_install_base/v1/integrations/installbaseitems?sysparm_limit=1&sysparm_offset=5" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "sysparm_offset": "5",
    "sysparm_limit": 1,
    "has_more": true,
    "items": [
      {
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM001100",
        "sys_id": "181df7ff530a1110539dddeeff7b12f4",
        "state": {
          "value": "in_use",
          "display_value": "In Use"
        },
        "sys_mod_count": "2",
        "active": "true",
        "configuration_item": {
          "sys_id": "62446ae8535e5510539dddeeff7b12db",
          "display_value": "boxeoproderp"
        },
        "name": "boxeoproderp",
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        }
      }
    ],
    "status": "SUCCESS"
  }
}

cURL request

The following code example shows how to search for the fields state = "in_use" and status = "replacement" within the Install Base Item table.

curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems?state=in_use&status=replacement" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "sysparm_offset": "0",
    "sysparm_limit": "10",
    "has_more": false,
    "items": [
      {
        "parent": {
          "sys_id": "ffd023f453de9910539dddeeff7b1264",
          "display_value": "Point of Sale System"
        },
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM001140",
        "sys_id": "a1a123745312d910539dddeeff7b127b",
        "state": {
          "value": "in_use",
          "display_value": "In Use"
        },
        "install_date": {
          "value": "2018-12-14 07:00:00",
          "display_value": "2018-12-13 23:00:00"
        },
        "product": {
          "sys_id": "2dd1e7b753421110539dddeeff7b12d1",
          "display_value": "Stand"
        },
        "active": "true",
        "name": "Stand",
        "service_organization": {
          "sys_id": "42b51f5ab3401010700b4d43c6a8dc5a",
          "display_value": "LA City Center - West"
        },
        "status": {
          "value": "replacement",
          "display_value": "Replacement"
        }
      },
      {
        "parent": {
          "sys_id": "ffd023f453de9910539dddeeff7b1264",
          "display_value": "Point of Sale System"
        },
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM001139",
        "sys_id": "d0916bb05312d910539dddeeff7b1232",
        "state": {
          "value": "in_use",
          "display_value": "In Use"
        },
        "install_date": {
          "value": "2018-12-14 07:00:00",
          "display_value": "2018-12-13 23:00:00"
        },
        "product": {
          "sys_id": "dfc127b753421110539dddeeff7b12ac",
          "display_value": "Register"
        },
        "active": "true",
        "name": "Register",
        "service_organization": {
          "sys_id": "42b51f5ab3401010700b4d43c6a8dc5a",
          "display_value": "LA City Center - West"
        },
        "status": {
          "value": "replacement",
          "display_value": "Replacement"
        }
      },
      {
        "parent": {
          "sys_id": "ffd023f453de9910539dddeeff7b1264",
          "display_value": "Point of Sale System"
        },
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM001141",
        "sys_id": "ffb123745312d910539dddeeff7b12cb",
        "state": {
          "value": "in_use",
          "display_value": "In Use"
        },
        "install_date": {
          "value": "2018-12-14 07:00:00",
          "display_value": "2018-12-13 23:00:00"
        },
        "product": {
          "sys_id": "59e1e7b753421110539dddeeff7b12cc",
          "display_value": "Terminal"
        },
        "active": "true",
        "name": "Terminal",
        "service_organization": {
          "sys_id": "42b51f5ab3401010700b4d43c6a8dc5a",
          "display_value": "LA City Center - West"
        },
        "status": {
          "value": "replacement",
          "display_value": "Replacement"
        }
      }
    ],
    "status": "SUCCESS"
  }
}

cURL request

The following code example shows how to filter the return results using the related_party and responsibility query parameters.

curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems?related_party=dc0185d94f341200025ba3618110c77c&responsibility=c009bbedb3730010700b4d43c6a8dce" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "sysparm_offset": "0",
    "sysparm_limit": "10",
    "has_more": false,
    "items": [
      {
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM0001004",
        "sys_id": "3ea014a778de1110f877d304c76fdd0d",
        "state": {
          "value": "in_use",
          "display_value": "In Use"
        },
        "consumer": {
          "sys_id": "feb5139ab3401010700b4d43c6a8dc43",
          "display_value": "Kenny Smith"
        },
        "product": {
          "sys_id": "63c8bc9778921110f877d304c76fdd34",
          "display_value": "X4 Sport Utility 4D"
        },
        "active": "true",
        "name": "X4 Sport Utility 4D",
        "status": {
          "value": "original",
          "display_value": "Original"
        }
      },
      {
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM001003",
        "sys_id": "6e94e3c853500010df5dddeeff7b1234",
        "contact": {
          "sys_id": "4d147a386f0331003b3c498f5d3ee437",
          "display_value": "Julie Lewis"
        },
        "active": "true",
        "configuration_item": {
          "sys_id": "a96a570453500010df5dddeeff7b1206",
          "display_value": "boxeosandbox"
        },
        "name": "Boxeo - Sandbox",
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        }
      },
      {
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM0001010",
        "sys_id": "83332fde87e5a1105d0055373cbb3567",
        "contact": {
          "sys_id": "ddce70866f9331003b3c498f5d3ee417",
          "display_value": "George Warren"
        },
        "state": {
          "value": "in_use",
          "display_value": "In Use"
        },
        "install_date": {
          "value": "2023-02-26 18:59:52",
          "display_value": "2023-02-26 10:59:52"
        },
        "health_status": {
          "value": "not_available",
          "display_value": "Not Available"
        },
        "product": {
          "sys_id": "a9a2d0c3c6112276010db16c5ddd3461",
          "display_value": "Lenovo ThinkStation S20"
        },
        "active": "true",
        "configuration_item": {
          "sys_id": "affd3c8437201000deeabfc8bcbe5dc3",
          "display_value": "*BETH-IBM"
        },
        "name": "IB B2B",
        "location": {
          "sys_id": "25ab9c4d0a0a0bb300f7dabdc0ca7c1c",
          "display_value": "100 South Charles Street, Baltimore,MD"
        },
        "asset": {
          "sys_id": "bfc1fa8837f3100044e0bfc8bcbe5ddf",
          "display_value": "P1000228 - Lenovo ThinkStation S20"
        },
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        },
        "status": {
          "value": "original",
          "display_value": "Original"
        }
      },
      {
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM0001011",
        "sys_id": "9d766f168729a1105d0055373cbb3597",
        "health_status": {
          "value": "not_available",
          "display_value": "Not Available"
        },
        "product": {
          "sys_id": "8583ce8237732000158bbfc8bcbe5dd9",
          "display_value": "Fujitsu 1TB Hybrid Solid State Drive"
        },
        "active": "true",
        "name": "IBA",
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        }
      },
      {
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM0001013",
        "sys_id": "bd955a2687ada1100b6afc86dabb35fb",
        "health_status": {
          "value": "not_available",
          "display_value": "Not Available"
        },
        "consumer": {
          "sys_id": "59e788fbdb1b1200b6075200cf9619d2",
          "display_value": "Gilly Parker"
        },
        "product": {
          "sys_id": "1a13974053500010df5dddeeff7b122c",
          "display_value": "12000XHD Digital Press"
        },
        "active": "true",
        "name": "IBConsumer"
      },
      {
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM0000901",
        "sys_id": "f77c7542b7343300ece839a6ee11a991",
        "product": {
          "sys_id": "8583ce8237732000158bbfc8bcbe5dd9",
          "display_value": "Fujitsu 1TB Hybrid Solid State Drive"
        },
        "active": "true",
        "name": "KX Series - KX5001",
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        }
      }
    ],
    "status": "SUCCESS"
  }
}

Install Base Item - GET /sn_install_base/integrations/installbaseitem/{id}

Returns a specified install base item record and its child hierarchy.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitem/{id}

Default URL: /api/sn_install_base/integrations/installbaseitem/{id}

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
idSys\_id of the install base item record.Data type: String Table: Install Base Item \[sn\_install\_base\_item\]
NameDescription
sys\_class\_nameIf the intended record is in a table that extends the Install Base Items \[sn\_install\_base\_item\] table, the name of the extended table to query. This table must extend the sn\_install\_base\_item table.Data type: String
sysparm\_depthMaximum depth of the child install base item's hierarchy to return.Data type: Integer Default: 7 Maximum: 10
sysparm\_limitMaximum number records to return in each child hierarchy.Data type: Integer Default: 10 Maximum: 100
NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
400Bad Request. A bad request type or malformed request was detected.
403Forbidden. The user doesn't have access rights to the specified record.
404Not found. The requested item wasn't found.
500Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

NameDescription
childinstallbaseList of child install base item records associated with the specified install base item.Data type: Object
"childinstallbase": {
  "items": [Array],
  "sysparm_depth": Integer
}
childinstallbase.itemsChild install base items associated with the specified install base item. The values within this array are defined under the items[] array further down in this section.
childinstallbase.sysparm\_depthChild-level of the install base item.Data type: Integer
errorDetails about the error that occurred when trying to process the request.Data type: Object
"error": {
  "detail": "String",
  "message": "String"
}
error.detailAdditional details about the associated error.Data type: String
error.messageError message that describes the problem that occurred when trying to execute the request.Data type: String
has\_childrenFlag that indicates whether the requested install base item record has child install base item records.- true: Has child install base item records. - false: Doesn't have child install base item records. Data type: Boolean
itemInstall base item that matched the specified filter results.Data type: Object
"item": {
  "account": {Object},
  "active": "String",
  "asset": {Object},
  "configuration_item": {Object},
  "consumer": {Object},
  "consumer_profile": {Object},
  "contact": {Object},
  "health_status": "Object",
  "health_status_last_updated": "String",
  "household": {Object},
  "install_date": {Object},
  "location": {Object},
  "name": "String",
  "number": "String",
  "parent": {Object},
  "product": {Object},
  "service_context": {Object},
  "service_organization" {Object},
  "sys_class_name": "String",
  "sys_id": "String",
  "state": {Object},
  "status": {Object},
  "uninstall_date": "String"
}
item.accountDetails about the customer account associated with the install base item record.Data type: Object
"account": {
  "display_value": "String",
  "sys_id": "String"
}
item.account.display\_valueText name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String
item.account.sys\_idSys\_id of the customer account record associated with the install base item record.Data type: String
item.activeFlag that indicates whether the install base item is active.Possible values: - true: Install base item is active. - false: Install base item is inactive. Data type: Boolean String
item.assetDetails about the asset associated with the install base item record.Data type: Object
"asset": {
  "display_value": "String",
  "sys_id": "String"
}
item.asset.display\_valueText name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String
item.asset.sys\_idSys\_id of the asset record associated with the install base item record.Data type: String
item.configuration\_itemDetails about the configuration item associated with the install base item record.Data type: Object
"configuration_item": {
  "display_value": "String",
  "sys_id": "String"
}
item.configuration\_item.display\_valueText name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String
item.configuration\_item.sys\_idSys\_id of the configuration item record associated with the install base item record.Data type: String
item.consumer

Details about the consumer associated with the install base item record.Note: The consumer field is only available if the B2B2C plugin is installed.

Data type: Object

"consumer": {
  "display_value": "String",
  "sys_id": "String"
}
item.consumer.display\_valueText name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String
item.consumer.sys\_idSys\_id of the consumer record associated with the install base item record.Data type: String
item.consumer\_profile

Details about the consumer profile associated with the install base item record.Note: The consumer profile field is only available if the B2B2C plugin is installed.

Data type: Object

"consumer_profile": {
  "display_value": "String",
  "sys_id": "String"
}
item.consumer\_profile.display\_valueText name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String
item.consumer\_profile.sys\_idSys\_id of the consumer profile record associated with the install base item record.Data type: String
item.contactDetails about the account contact responsible for the install base item record.Data type: Object
"contact": {
  "display_value": "String",
  "sys_id": "String"
}
item.contact.display\_valueText name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String
item.contact.sys\_idSys\_id of the account contact record associated with the install base item record.Data type: String
item.health\_statusDetails about the current health status of the install base item. Only returned if the Proactive Customer Service Operations \(com.snc.proactive\_cs\_itom\) plugin is installed.Data type: Object
"health_status": {
  "display_value": "String",
  "value": "String"
}
item.health\_status.display\_valueText string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String
item.health\_status.valueInternal value of the health status of the install base item.Data type: String
item.health\_status\_last\_updatedDate and time when the health status was last updated for the install base item.Data type: String
item.householdDetails about the household associated with the install base item record. Only returned if the Customer Household Data Model \(com.snc.household\) plugin is installed.Data type: Object
"household": {
  "display_value": "String",
  "sys_id": "String"
}
item.household.display\_valueText name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String
item.household.sys\_idSys\_id of the household associated with the install base item record.Data type: String
item.install\_dateDetails about the date when the install base item became active.Data type: Object
"install_date": {
  "display_value": "String",
  "value": "String"
}
item.install\_date.display\_valueText install date. Use this value to display the install date in the UI.Data type: String
item.install\_date.valueInternal value of the install date.Data type: String
item.locationDetails about the location of the install base item.Data type: Object
"location": {
  "display_value": "String",
  "sys_id": "String"
}
item.location.display\_valueText name of the install base item location. Use this value to display the location name in the UI.Data type: String
item.location.sys\_idSys\_id of the location record associated with the install base item record.Data type: String
item.nameName of the install base item.Data type: String
item.numberUnique ID of the install base item.Data type: String
item.parentDetails about the parent record of the install base item record.Data type: Object
"parent": {
  "display_value": "String",
  "sys_id": "String"
}
item.parent.display\_valueText name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String
item.parent.sys\_idSys\_id of the parent record associated with the install base item record.Data type: String
item.productDetails about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object
"product": {
  "display_value": "String",
  "sys_id": "String"
}
item.product.display\_valueText name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String
item.product.sys\_idSys\_id of the product model record associated with the install base item record.Data type: String
item.service\_contextDetails about the service context associated with the install base item record.Data type: Object
"service_context": {
  "display_value": "String",
  "sys_id": "String"
}
item.service\_context.display\_valueDetails about the service context associated with the install base item record.Data type: Object
"service_context": {
  "display_value": "String",
  "sys_id": "String"
}
item.service\_context.sys\_idSys\_id of the service context record associated with the install base item record.Data type: String
item.service\_organizationDetails about the service organization associated with the install base item record. Only returned if the Service Organization \(com.snc.service\_organization\) plugin is installed.Data type: Object
"service_organization": {
  "display_value": "String",
  "sys_id": "String"
}
item.service\_organization.display\_valueText name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String
item.service\_organization.sys\_idSys\_id of the service organization record associated with the install base item record.Data type: String
item.sys\_class\_nameTable containing the install base item record.Data type: String
item.sys\_idSys_id of the install base item record. Located in the table specified in the sys_class_name parameter.Data type: String
item.sys\_mod\_countNumber of times that the associated install base item record has been modified.Data type: String
item.stateDetails about the current state of the install base item.Data type: Object
"state": {
  "display_value": "String",
  "value": "String"
}
item.state.display\_valueText string of the current state of the install base item. Use this value to display the state in the UI.Data type: String
item.state.valueInternal value of the state of the install base item.Data type: String
item.statusDetails about the status of the install base item.Data type: Object
"status": {
  "display_value": "String",
  "value": "String"
}
item.status.display\_valueText string of the status of the install base item. Use this value to display the status in the UI.Data type: String
item.status.valueInternal value of the status of the install base item.Data type: String
item.uninstall\_dateDetails about the date when the install base item became inactive.Data type: Object
"uninstall_date": {
  "display_value": "String",
  "value": "String"
}
item.uninstall\_date.display\_valueText uninstall date. Use this value to display the uninstall date in the UI.Data type: String
item.uninstall\_date.valueInternal value of the uninstall date.Data type: String
statusStatus of the endpoint call.Data type: String

cURL request

The following code example shows how to call this endpoint. The associated install base item doesn't have any children.

curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitem/f77c7542b7343300ece839a6ee11a991" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "status": "SUCCESS",
    "item": {
      "sys_class_name": "sn_install_base_item",
      "number": "IBITM0000901",
      "sys_id": "f77c7542b7343300ece839a6ee11a991",
      "product": {
        "sys_id": "8583ce8237732000158bbfc8bcbe5dd9",
        "display_value": "Fujitsu 1TB Hybrid Solid State Drive"
      },
      "active": "true",
      "name": "KX Series - KX5001",
      "account": {
        "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
        "display_value": "Boxeo"
      }
    },
    "hasChildren": "false"
  }
}

cURL request

The following code example shows how to call this endpoint specifying a maximum depth of four child-levels.

curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/e0a80e4b87b521100b6afc86dabb3565?depth=4" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "status": "SUCCESS",
    "item": {
      "sys_class_name": "sn_install_base_item",
      "number": "IBITM0001073",
      "sys_id": "e0a80e4b87b521100b6afc86dabb3565",
      "health_status": {
        "value": "not_available",
        "display_value": "Not Available"
      },
      "active": "true",
      "name": "parent",
      "account": {
        "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
        "display_value": "Boxeo"
      }
    },
    "hasChildren": "true",
    "childinstallbase": {
      "sysparm_depth": 2,
      "items": [
        {
          "parent": {
            "sys_id": "e0a80e4b87b521100b6afc86dabb3565",
            "display_value": "parent"
          },
          "sys_class_name": "sn_install_base_item",
          "number": "IBITM0001074",
          "sys_id": "6db80e4b87b521100b6afc86dabb356b",
          "state": {
            "value": "in_use",
            "display_value": "In Use"
          },
          "health_status": {
            "value": "not_available",
            "display_value": "Not Available"
          },
          "active": "true",
          "name": "child1",
          "account": {
            "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
            "display_value": "Boxeo"
          },
          "hasChildren": "true",
          "items": {
            "sysparm_depth": 3,
            "items": [
              {
                "parent": {
                  "sys_id": "6db80e4b87b521100b6afc86dabb356b",
                  "display_value": "child1"
                },
                "sys_class_name": "sn_install_base_item",
                "number": "IBITM0001075",
                "sys_id": "36ecce4b87b521100b6afc86dabb3503",
                "health_status": {
                  "value": "not_available",
                  "display_value": "Not Available"
                },
                "active": "true",
                "name": "childL2",
                "account": {
                  "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
                  "display_value": "Boxeo"
                },
                "hasChildren": "false"
              }
            ]
          }
        }
      ]
    }
  }
}

Install Base Item - GET /sn_install_base/integrations/installbaseitems/{id}/cases

Returns the cases associated with a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/cases

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/cases

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
idSys\_id of the install base item record.Data type: String Table: Install Base Item \[sn\_install\_base\_item\]
NameDescription
field name-value pairs

Field-value pairs to use to filter the case records. If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the approval field is set to "rejected" and the category field is set to "2", pass the follow: &approval=rejected&category=2.

Data type: String

Table: Case [sn_customerservice_case]

Default: All fields

sys\_class\_nameIf using an extended case table \(not sn\_customerservice\_case\), the name of the extended table to query.Data type: String Default: sn\_customerservice\_case
sysparm\_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm\_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
400Bad Request. A bad request type or malformed request was detected.
403Forbidden. The user doesn't have access rights to the specified record.
404Not found. The requested item wasn't found.
500Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

ElementDescription
casesList of cases associated with the specified install base item record.Data type: Array of Objects
"cases": [
  {
    "account": "String",
    "active": Boolean,
    "active_account_escalation": "String",
    "active_escalation": "String",
    "activity_due": "String",
    "additional_assignee_list": "String",
    "approval": "String",
    "approval_history": "String",
    "approval_set": "String",
    "asset": "String",
    "assigned_on": "String",
    "assigned_to": "String",
    "assignment_group": "String",
    "auto_close": Boolean,
    "business_duration": "String",
    "business_impact": "String",
    "business_service": "String",
    "calendar_duration": "String",
    "case": "String",
    "case_report": "String",
    "category": Number,
    "cause": "String",
    "caused_by": "String",
    "change": "String",
    "child_case_creation_progress": Boolean,
    "closed_at": "String",
    "closed_by": "String",
    "close_notes: "String",
    "cmdb_ci": "String",
    "comments": "String",
    "comments_and_work_notes": "String",
    "company": "String",
    "consumer": "String",
    "contact": "String",
    "contact_local_time: "String",
    "contact_time_zone": "String",
    "contact_type": "String",
    "contract": "String",
    "contributor_groups": "String",
    "contributor_users": "String",
    "correlation_display": "String",
    "correlation_id": "String",
    "delivery_plan": "String",
    "delivery_task": "String",
    "description": "string",
    "due_date": "String",
    "entitlement": "String",
    "escalation": Number,
    "expected_start": "String",
    "first_response_time": "String",
    "follow_the_sun": Boolean,
    "follow_up": "String",
    "group_list": [Array],
    "impact": Number,
    "internal_user": "String",
    "initiated_as_request": Boolean,
    "knowledge": Boolean,
    "location": "String",
    "made_sla": Boolean,
    "major_case_state": "String",
    "needs_attention": Boolean,
    "notes_to_comments": Boolean,
    "notify": Number,
    "number": "String",
    "opened_at": "String",
    "opened_by": "String",
    "order": Number,
    "parent": "String",
    "partner": "String",
    "partner_contact": "String",
    "priority": Number,
    "proactive": Boolean,
    "probable_cause": "String",
    "problem": "String",
    "product": "String",
    "reassignment_count": Number,
    "recipient_list": "String",
    "rejection_goto": "String",
    "resolution_code": "String",
    "resolved_at": "String",
    "resolved_by": "String",
    "route_reason": "String",
    "service_offering": "String",
    "short_description": "String",
    "skills": "String",
    "sla_due": "String",
    "sn_app_cs_social_social_profile": "String",
    "sold_product": "String",
    "stage": "String",
    "state": Number,
    "subcategory": Number,
    "support_manager" "String",
    "sync_driver": Boolean,
    "sys_class_name": "String",
    "sys_domain": "String",
    "sys_domain_path": "String",
    "sys_id": "String",
    "task_effective_number": "String",
    "time_worked": "String",
    "universal_request": "String",
    "upon_approval": "String",
    "upon_reject": "String",
    "urgency": Number,
    "user_input": "String",
    "variables":  "String",
    "watch_list": [Array],
    "wf_activity": "String",
    "work_end": "String",
    "work_notes": "String",
    "work_notes_list": [Array],
    "work_start": "String"
cases.accountSys\_id of the account record associated with the case. Data type: String Table: Account \[customer\_account\]
cases.activeFlag that indicates whether the case is open and active.Possible values: - true: Case is active - false: Case is closed Data type: Boolean Default: true
cases.active\_account\_escalationSys\_id of the active account escalation record associated with the case.Data type: String Table: Escalation \[sn\_customerservice\_escalation\]
cases.active\_escalationSys\_id of the active escalation record associated with the case.Data type: String Table: Escalation \[sn\_customerservice\_escalation\]
cases.activity\_dueDate for which the associated case is expected to be completed.Data type: String
cases.additional\_assignee\_listList of the sys\_ids of the additional persons \(other than the primary assignee\) that have been assigned to the account.Data type: Array Maximum: 4,000 Table: User \[sys\_user\]
cases.approvalString that describes the type of approval required.Possible values: - approved - cancelled - duplicate - not\_required - not requested - rejected - requested Data type: String Maximum characters: 40 Default: not requested
cases.approval\_historyList of all approvals associated with the case.Data type: String Maximum characters: 4,000
cases.approval\_setDate and time that the associated action was approved.Data type: String
cases.assetSys\_id of the asset record associated with the case.Data type: String Table: Asset \[alm\_asset\]
cases.assigned\_on

Date and time that the case was assigned to the person identified in the assigned_to parameter.Data type: String (Date)

Maximum length: 40

cases.assigned\_toSys\_id of the person assigned to the case. Table: User \[sys\_user\] Data type: String
cases.assignment\_groupSys\_id of the customer service agent group assigned to the case.Data type: String Table: Group \[sys\_user\_group\]
cases.auto\_closeFlag that indicates whether the case was automatically closed.Possible values: - true: Case was auto closed - false: Case wasn't auto closed Data type: Boolean Default: false
cases.business\_durationLength in calendar work hours, work days, and work weeks that it took to complete the case.Data type: String
cases.business\_impactImpact of the issue on the associated customer.Data type: String Maximum characters: 4,000
cases.business\_serviceSys\_id of the service record associated with the case.Data type: String Table: Service \[cmdb\_ci\_service\]
cases.calendar\_durationLength in calendar hours, days, and weeks that it took to complete the case.Data type: String \(Duration\) Maximum length: 40
cases.caseCase short description and case number.Data type: String Maximum length: 300
cases.case\_reportSys\_id of the associated case report.Data type: String Table: Case Report \[sn\_customerservice\_case\_report\]
cases.categoryCase category.Possible values: - 0: Question - 1: Issue - 2: Feature Data type: Number \(Integer\) Default: 1
cases.causeDetails about the cause of the problem.Data type: String Maximum length: 4,000
cases.caused\_bySys\_id of the change request that caused the case to be created.Data type: String Table: Change Request \[change\_request\]
cases.changeSys\_id of the change request that caused the case to be created.Data type: String Table: Change Request \[change\_request\]
cases.child\_case\_creation\_progressFlag that indicates whether the case is a child case that was created from a major case.Possible values: - true: Child case created from a major case - false: Not a child case Data type: Boolean
cases.closed\_atDate and time that the case was closed.Data type: String
cases.closed\_bySys\_id of the user that closed the case.Data type: String Table: User \[sys\_user\]
cases.close\_notesNotes made when the case was closed.Data type: String Maximum length: 4,000
cases.cmdb\_ciSys\_id of the configuration item associated with the case.Data type: String Table: Configuration Item \[cmdb\_ci\]
cases.commentsAdditional comments about the case.Data type: String Maximum length: 4,000
cases.comments\_and\_work\_notesComments and work notes entered for the case.Data type: String Maximum length: 4,000
cases.companySys\_id of the company associated with the case.Data type: String Table: Company \[core\_company\]
cases.consumerBusiness-to-consumer cases only. Sys\_id of the person to contact with regard to this case.Data type: String Table: Consumer \[csm\_consumer\]
cases.contactBusiness-to-business based cases only. Sys\_id of the person to contact regarding this case.Data type: String Table: Contact \[customer\_contact\]
cases.contact\_local\_timeContact local time.Data type: String Maximum length: 70
cases.contact\_time\_zoneTime zone of the contact associated with the case.Data type: String Maximum length: 40
cases.contact\_typeMethod in which the case was initially reported.Possible values: - chat - email - phone - social - web Data type: String Maximum length: 40
cases.contractSys\_id of the contract associated with the case. This contract contains information about the type of support that is provided to the company associated to the case. A contract can include a company and contact and the specific assets that are covered. A contract can also include multiple service entitlements and SLAs.Data type: String Table: Contract \[ast\_contract\]
cases.contributor\_groupsList of sys\_ids of the user groups that have contributed to the case.Data type: String Table: Group \[sys\_user\_group\]
cases.contributor\_usersList of sys\_ids of the users that have contributed to the case.Data type: String Table: User \[sys\_user\]
cases.correlation\_displayCorrelation display.Data type: String Maximum length: 100
cases.correlation\_idCorrelation identifier.Data type: String Maximum length: 100
cases.delivery\_planSys\_id of the parent execution plan for this case.Data type: String Table: Execution Plan \[sc\_cat\_item\_delivery\_plan\]
cases.delivery\_taskSys\_id of the execution plan task.Data type: String Table: Execution Plan Task \[sc\_cat\_item\_delivery\_task\]
cases.descriptionDetailed description of the problem associated with the case. Data type: String Maximum length: 4,000
cases.due\_dateDate that the case is due to be closed.Data type: String
cases.entitlementSys\_id of the entitlement record associated with the case. Entitlements define the type of support that a customer receives as well as the supported communication channels. An entitlement can be associated with a product, an asset, an account, or a contract.Data type: String Table: Entitlement \[service\_entitlement\]
cases.escalationCurrent escalation level.Possible values: - 0: Normal - 1: Moderate - 2: High - 3: Overdue Data type: Number \(Integer\) Default: 0
cases.expected\_startDate and time when work is scheduled to begin on the case.Data type: String
cases.first\_response\_timeDate and time when the first action was taken on the case.Data type: String
cases.follow\_the\_sunFlag that indicates whether the case should be handed-off for global follow-up.If a customer enters additional comments on a Priority 1 - Critical or a Priority 2 - High case, or if the case is escalated, the flag is automatically set to true. Possible values: - true: Case should be handed-off for global follow-up - false: Case shouldn't be handed-off for global follow-up Data type: Boolean Default: false
cases.follow\_upDate and time of the next follow-up action.Data type: String
cases.group\_listList of sys\_ids of the group records associated with the case.Data type: Array Table: Group \[sys\_user\_group\]
cases.impactImpact on customer.Possible values: - 1: High - 2: Medium - 3: Low Data type: Number \(Integer\) Default: 3
cases.internal\_userSys\_id of the internal user for this case.Data type: String Table: User \[sys\_user\]
cases.initiated\_as\_requestFlag that indicates if this inquiry was initiated as a request by the customer.Possible values: - true: Inquiry initiated by customer. - false: Inquiry wasn't initiated by customer. Data type: Boolean Default: false
cases.knowledgeFlag that indicates if there is a knowledge base article available for the specified issue.Possible values: - true: Knowledge base article is available for this issue - false: Knowledge base article is not available for this issue Data type: Boolean Default: false
cases.locationSys\_id of the record describing the company location.Data type: String Table: Location \[cmn\_location\]
cases.made\_slaFlag that indicates whether the case was resolved in alignment with the associated service level agreement.Possible values: - true: Case was resolved in alignment with SLA - false: Case wasn't resolved according to the SLA Data type: Boolean Default: true
cases.major\_case\_stateCurrent state of the major case.Possible values: - accepted: Initial state when a manager creates a major case or when a manager promotes a candidate case. - canceled: Case is canceled. - proposed: Initial state when an agent or manager creates or proposes a candidate case. - rejected: Manager rejected candidate case. Data type: String Maximum length: 40
needs\_attentionFlag that indicates whether the case needs attention.Possible values: - true: Case needs additional attention - false: Case doesn't need additional attention Data type: Boolean Default: false
cases.notes\_to\_commentsFlag that indicates whether to add the resolution notes to the comments.Possible values: - true: Resolutions notes, when added, are also added to the comments - false: Resolution notes in comments aren't required Data type: Boolean
cases.notifyMethod to use to notify contact/consumer.Possible values: - 1: Do not notify - 2: Send email - 3: Telephone Data type: Number \(Integer\) Default: 1
cases.numberCase number.Data type: String Maximum length: 40
cases.opened\_atDate and time that the case was opened.Data type: String
cases.opened\_bySys\_id of the person that initially opened the case.Data type: String Table: User \[sys\_user\]
cases.orderOrder of the case.Data type: Number \(Integer\)
cases.parentSys\_id of the parent case to which this case \(child\) is associated.Data type: String Table: Task \[task\]
cases.partnerSys\_id of the partner associated with the case.Data type: String Table: Account \[customer\_account\]
cases.partner\_contactSys\_id of the partner contact associated with the case.Data type: String Table: Contact \[customer\_contact\]
cases.priorityPriority of the case. Possible values: - 1: Critical - 2: High - 3: Moderate - 4: Low Data type: Number \(Integer\) Default: 4
cases.proactiveFlag that indicates whether the inquiry is being proactively monitored.Possible values: - true: Being proactively monitored. - false: Not being monitored. Data type: Boolean Default:false
cases.probable\_causePossible cause of the issue associated with the case.Data type: String Maximum length: 4,000
cases.problemSys\_id of the issue that the customer is encountering.Data type: String Table: Problem \[problem\]
cases.productSys\_id of the product model of the asset associated to the case. A model is a specific version or configuration of an asset \(for example, Apple Mac Book Pro\).Data type: String Table: Product Model \[cmdb\_model\]
cases.reassignment\_countNumber of times that the case was reassigned to a person that is responsible for moving the case forward.Data type: Number \(Integer\) Default: 0
cases.recipient\_listSys\_id of the record that contains the list of recipients for communications about this case.Data type: String Table: Recipients List \[sn\_publications\_recipients\_list\]
cases.rejection\_gotoSys\_id of the task to execute if the case is rejected.Data type: String Table: Task \[task\]
cases.resolution\_codeResolution state for the case, such as "Solved - Fixed by Support/Guidance provided". Data type: String Maximum length: 40
cases.resolved\_atDate and time that the case was resolved.Data type: String
cases.resolved\_bySys\_id of the person that resolved the case.Data type: String Table: User \[sys\_user\]
cases.route\_reasonReason that the case was routed to a different assignee.Data type: Number \(Integer\) Maximum length: 40
cases.service\_offeringSys\_id of the service offering associated with the payment inquiry. Service offerings uniquely define the level of service in terms of availability, scope, pricing, and packaging options.Data type: String Table: Service Offering \[service\_offering\]
cases.short\_descriptionConcise description of the case. Data type: String Maximum length: 160
cases.skillsList of the unique identifiers \(sys\_id\) of the skills needed to complete the case.Data type: String Table: Skill \[cmn\_skill\]
cases.sla\_dueDate/time at which the case must be closed based on the associated service level agreement.Data type: String
cases.sn\_app\_cs\_social\_social\_profileSys\_id of the social media profile associated with the case.Data type: String Table: Social Profile \[sn\_app\_cs\_social\_social\_profile\]
cases.sold\_productSys\_id of the associated product.Data type: String Table: Sold Product \[sn\_install\_base\_sold\_product\]
cases.stageStage of the inquiry, such as Closed Complete, Closed Rejected, Document Check, Authorization, and so on.Data type: String Maximum length: 40
cases.stateCurrent state of the case.Possible values: - 1: New - 3: Closed - 6: Resolved - 10: Open - 18: Awaiting Info Data type: Number \(Integer\) Default: 1
cases.subcategoryCase subcategory.Possible values: 0: QuestionData type: Number \(Integer\) Default: 0
cases.support\_managerSys\_id of the CSM manager assigned to the case.Data type: String Table: User \[sys\_user\]
cases.sync\_driverFlag that indicates whether there's driver synchronization.Possible values: - true: Driver is synchronized - false: Driver isn't synchronized Data type: Boolean
cases.sys\_class\_nameTable that contains the case record.Data type: String Maximum length: 80
cases.sys\_domainDomain associated with the case.Data type: String Maximum length: 32 Default: global
cases.sys\_domain\_pathDomain path.Data type: String Maximum length: 255 Default: /
cases.sys\_idUnique identifier for the case.Data type: String Maximum length: 32
cases.task\_effective\_numberIdentifying number. If the task has a Universal Request associated with it, it's the UR number. Otherwise, it's the current task number. Data type: String Maximum length: 40
cases.time\_workedTotal amount of time worked on the case.Data type: String
cases.universal\_requestSys\_id of a universal task that this inquiry is part of.Data type: String Table: Task \[task\]
cases.upon\_approvalAction to take if the case is approved.Possible values: - do\_nothing - proceed Data type: String Maximum length: 40 Default: proceed
cases.upon\_rejectAction to take if the case is rejected.Possible values: - cancel - goto Data type: String Maximum length: 40 Default: cancel
cases.urgencyUrgency of the case.Possible values: - 1: High - 2: Medium - 3: Low Data type: Number \(Integer\) Default: 3
cases.user\_inputAdditional user input.Data type: String Maximum length: 4,000
cases.variablesName-value pairs of variables associated with the case.Data type: String Maximum length: 40
cases.watch\_listList of sys\_ids of the users who receive notifications about this case when additional comments are added or if the state of a case is changed to Resolved or Closed.Data type: Array Table: User \[sys\_user\]
cases.wf\_activitySys\_id of the workflow activity record associated with the case.Data type: String Table: Workflow Activity \[wf\_activity\]
cases.work\_endDate and time work ended on the case.Data type: String
cases.work\_notesInformation about how to resolve the case, or steps taken to resolve it.Data type: String Maximum length: 4,000
cases.work\_notes\_listList of sys\_ids of the internal users who receive notifications about this case when work notes are added.Data type: Array Table: User \[sys\_user\]
cases.work\_startDate and time that work started on the case.Data type: String
has\_moreFlag that indicates whether there are more records in the table to return.Possible values: - true: More records to return. - false: No more records to return. Data type: Boolean string
statusStatus of the endpoint call.Data type: String
sysparm\_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval.

In the response, the boolean parameter hasMore is returned. It indicates whether there are more records to return that meet the filter criteria.

Data type: Number

Default: 10

sysparm\_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks.

For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Do not pass a negative number in the sysparm_offset parameter.

Data type: Number

Default: 0

cURL request

The following code example shows how to call this endpoint.

curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/1474a3c853500010df5dddeeff7b12ec/cases" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "sysparm_offset": 0,
    "sysparm_limit": 10,
    "has_more": false,
    "cases": [
      {
        "upon_reject": {
          "value": "cancel",
          "display_value": "Cancel all future Tasks"
        },
        "number": "CS0001034",
        "initiated_as_request": "0",
        "state": "1",
        "case": "Performance is impacted with latest update​CS0001034",
        "knowledge": "0",
        "impact": "3",
        "contract": {
          "sys_id": "495e16b96f0731003b3c498f5d3ee4af",
          "display_value": "CNTR0000603"
        },
        "active": "1",
        "auto_created_case": "0",
        "priority": "4",
        "sys_domain_path": "/",
        "child_case_creation_progress": "0",
        "sync_driver": "0",
        "needs_attention": "0",
        "short_description": "Performance is impacted with latest update",
        "notify": "1",
        "sys_class_name": "sn_customerservice_case",
        "reassignment_count": "0",
        "notes_to_comments": "0",
        "hierarchical_variables": "variable_pool",
        "escalation": "0",
        "upon_approval": {
          "value": "proceed",
          "display_value": "Proceed to Next Task"
        },
        "made_sla": "1",
        "task_effective_number": "CS0001034",
        "opened_by": {
          "sys_id": "ddce70866f9331003b3c498f5d3ee417",
          "display_value": "George Warren"
        },
        "contact": {
          "sys_id": "ddce70866f9331003b3c498f5d3ee417",
          "display_value": "George Warren"
        },
        "follow_the_sun": "0",
        "entitlement": {
          "sys_id": "1eb7893a6f1b31003b3c498f5d3ee4dd",
          "display_value": "24x7 Customer Support"
        },
        "opened_at": {
          "value": "2023-03-20 14:53:51",
          "display_value": "2023-03-20 07:53:51"
        },
        "case_report": {
          "sys_id": "85e8604c87f521100b6afc86dabb35b9",
          "display_value": "CSR0010014"
        },
        "subcategory": "0",
        "install_base": {
          "sys_id": "1474a3c853500010df5dddeeff7b12ec",
          "display_value": "Boxeo - Development"
        },
        "proactive": "0",
        "auto_close": "0",
        "sys_id": "92c8684087b521105d0055373cbb357e",
        "contact_type": {
          "value": "web",
          "display_value": "Web"
        },
        "urgency": "3",
        "approval": {
          "value": "not requested",
          "display_value": "Not Yet Requested"
        },
        "category": "1",
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        }
      },
      {
        "upon_reject": {
          "value": "cancel",
          "display_value": "Cancel all future Tasks"
        },
        "number": "CS0001008",
        "initiated_as_request": "0",
        "state": "1",
        "case": "Test Alert​CS0001008",
        "knowledge": "0",
        "impact": "3",
        "active": "1",
        "auto_created_case": "0",
        "priority": "1",
        "sys_domain_path": "/",
        "child_case_creation_progress": "0",
        "sync_driver": "0",
        "needs_attention": "1",
        "short_description": "Test Alert",
        "notify": "1",
        "sys_class_name": "sn_customerservice_case",
        "reassignment_count": "0",
        "notes_to_comments": "0",
        "hierarchical_variables": "variable_pool",
        "escalation": "0",
        "upon_approval": {
          "value": "proceed",
          "display_value": "Proceed to Next Task"
        },
        "made_sla": "1",
        "task_effective_number": "CS0001008",
        "opened_by": {
          "sys_id": "08c83021acbe7300964fca436af2bb97",
          "display_value": "noc_operator "
        },
        "follow_the_sun": "0",
        "opened_at": {
          "value": "2023-03-15 08:02:58",
          "display_value": "2023-03-15 01:02:58"
        },
        "case_report": {
          "sys_id": "a4fa9d9a872d61105d0055373cbb356e",
          "display_value": "CSR0010005"
        },
        "subcategory": "0",
        "proactive": "1",
        "auto_close": "0",
        "sys_id": "60ea199a872d61105d0055373cbb35c9",
        "contact_type": {
          "value": "proactive",
          "display_value": "Alert"
        },
        "alert": {
          "sys_id": "506a559a872d61105d0055373cbb3581",
          "display_value": "Alert0010008"
        },
        "urgency": "3",
        "action_status": "4",
        "approval": {
          "value": "not requested",
          "display_value": "Not Yet Requested"
        },
        "category": "1"
      },
      {
        "upon_reject": {
          "value": "cancel",
          "display_value": "Cancel all future Tasks"
        },
        "number": "CS0001033",
        "initiated_as_request": "0",
        "state": "1",
        "case": "System is down​CS0001033",
        "knowledge": "0",
        "impact": "3",
        "contract": {
          "sys_id": "495e16b96f0731003b3c498f5d3ee4af",
          "display_value": "CNTR0000603"
        },
        "active": "1",
        "auto_created_case": "0",
        "priority": "4",
        "sys_domain_path": "/",
        "child_case_creation_progress": "0",
        "sync_driver": "0",
        "needs_attention": "0",
        "short_description": "System is down",
        "notify": "1",
        "sys_class_name": "sn_customerservice_case",
        "reassignment_count": "0",
        "notes_to_comments": "0",
        "hierarchical_variables": "variable_pool",
        "escalation": "0",
        "upon_approval": {
          "value": "proceed",
          "display_value": "Proceed to Next Task"
        },
        "made_sla": "1",
        "task_effective_number": "CS0001033",
        "opened_by": {
          "sys_id": "ddce70866f9331003b3c498f5d3ee417",
          "display_value": "George Warren"
        },
        "contact": {
          "sys_id": "ddce70866f9331003b3c498f5d3ee417",
          "display_value": "George Warren"
        },
        "follow_the_sun": "0",
        "entitlement": {
          "sys_id": "1eb7893a6f1b31003b3c498f5d3ee4dd",
          "display_value": "24x7 Customer Support"
        },
        "opened_at": {
          "value": "2023-03-20 14:52:48",
          "display_value": "2023-03-20 07:52:48"
        },
        "case_report": {
          "sys_id": "64b86c0c87f521100b6afc86dabb35fc",
          "display_value": "CSR0010013"
        },
        "subcategory": "0",
        "install_base": {
          "sys_id": "1474a3c853500010df5dddeeff7b12ec",
          "display_value": "Boxeo - Development"
        },
        "proactive": "0",
        "auto_close": "0",
        "sys_id": "7c98a04087b521105d0055373cbb352e",
        "contact_type": {
          "value": "web",
          "display_value": "Web"
        },
        "urgency": "3",
        "approval": {
          "value": "not requested",
          "display_value": "Not Yet Requested"
        },
        "category": "1",
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        }
      },
      {
        "upon_reject": {
          "value": "cancel",
          "display_value": "Cancel all future Tasks"
        },
        "number": "CS0001048",
        "initiated_as_request": "0",
        "state": "1",
        "case": "AIB with Single account​CS0001048",
        "knowledge": "0",
        "impact": "3",
        "active": "1",
        "auto_created_case": "0",
        "priority": "4",
        "sys_domain_path": "/",
        "child_case_creation_progress": "0",
        "sync_driver": "0",
        "needs_attention": "1",
        "short_description": "AIB with Single account",
        "notify": "1",
        "sys_class_name": "sn_customerservice_case",
        "reassignment_count": "0",
        "notes_to_comments": "0",
        "hierarchical_variables": "variable_pool",
        "escalation": "0",
        "upon_approval": {
          "value": "proceed",
          "display_value": "Proceed to Next Task"
        },
        "made_sla": "1",
        "task_effective_number": "CS0001048",
        "opened_by": {
          "sys_id": "08c83021acbe7300964fca436af2bb97",
          "display_value": "noc_operator "
        },
        "contact": {
          "sys_id": "4d147a386f0331003b3c498f5d3ee437",
          "display_value": "Julie Lewis"
        },
        "follow_the_sun": "0",
        "opened_at": {
          "value": "2023-03-24 03:28:58",
          "display_value": "2023-03-23 20:28:58"
        },
        "case_report": {
          "sys_id": "4082be81877161100b6afc86dabb35fe",
          "display_value": "CSR0010023"
        },
        "subcategory": "0",
        "proactive": "1",
        "auto_close": "0",
        "sys_id": "6a723e81877161100b6afc86dabb35cf",
        "contact_type": {
          "value": "proactive",
          "display_value": "Alert"
        },
        "alert": {
          "sys_id": "6b227681877161100b6afc86dabb35d5",
          "display_value": "Alert0010094"
        },
        "urgency": "3",
        "action_status": "4",
        "approval": {
          "value": "not requested",
          "display_value": "Not Yet Requested"
        },
        "category": "1",
        "account": {
          "sys_id": "86837a386f0331003b3c498f5d3ee4ca",
          "display_value": "Boxeo"
        }
      }
    ],
    "status": "SUCCESS"
  }
}

Install Base Item - GET /sn_install_base/integrations/installbaseitems/{id}/childinstallbaseitems

Returns the child install base items associated with a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/childinstallbaseitems

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/childinstallbaseitems

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
idSys\_id of the install base item record.Data type: String Table: Install Base Item \[sn\_install\_base\_item\]
NameDescription
field name-value pairs

Field-value pairs to use to filter the child install base item records.If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the state field is set to "in_use" and the status field is set to "replacement", pass the follow: &state=in_use&status=replacement.

Data type: String

Default: All fields

Table: Install Base Item [sn_install_base_item]

sys\_class\_nameIf using an extended install base items table \(not sn\_install\_base\_item\), the name of the extended table to query.Data type: String Default: sn\_install\_base\_item
sysparm\_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm\_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
400Bad Request. A bad request type or malformed request was detected.
403Forbidden. The user doesn't have access rights to the specified record.
404Not found. The requested item wasn't found.
500Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

NameDescription
errorDetails about the error that occurred when trying to process the request.Data type: Object
"error": {
  "detail": "String",
  "message": "String"
}
error.detailAdditional details about the associated error.Data type: String
error.messageError message that describes the problem that occurred when trying to execute the request.Data type: String
has\_moreFlag that indicates whether there are more records in the table to return.Possible values: - true: More records to return. - false: No more records to return. Data type: Boolean string
itemsList of the install base items that matched the specified filter results.Data type: Array of Objects
"items":[
  {
    "account": {Object},
    "active": "String",
    "asset": {Object},
    "configuration_item": {Object},
    "consumer": {Object},
    "consumer_profile": {Object},
    "contact": {Object},
    "health_status": {Object},
    "health_status_last_updated": "String",
    "household": {Object},
    "install_date": {Object},
    "location": {Object},
    "name": "String",
    "number": "String",
    "parent": {Object},
    "product": {Object},
    "service_context": {Object},
    "service_organization" {Object},
    "sys_class_name": "String",
    "sys_id": "String",
    "sys_mod_count": "String",
    "state": {Object},
    "status": {Object},
    "uninstall_date": "String"
  }
]
items.accountDetails about the customer account associated with the install base item record.Data type: Object
"account": {
  "display_value": "String",
  "sys_id": "String"
}
items.account.display\_valueText name of the customer account associated with the install base item record. Use this value to display the customer account name in the UI.Data type: String
items.account.sys\_idSys\_id of the customer account record associated with the install base item record.Data type: String
items.activeFlag that indicates whether the install base item is active.Possible values: - true: Install base item is active. - false: Install base item is inactive. Data type: Boolean String
items.assetDetails about the asset associated with the install base item record.Data type: Object
"asset": {
  "display_value": "String",
  "sys_id": "String"
}
items.asset.display\_valueText name of the asset associated with the install base item record. Use this value to display the asset name in the UI.Data type: String
items.asset.sys\_idSys\_id of the asset record associated with the install base item record.Data type: String
items.configuration\_itemDetails about the configuration item associated with the install base item record.Data type: Object
"configuration_item": {
  "display_value": "String",
  "sys_id": "String"
}
items.configuration\_item.display\_valueText name of the configuration item associated with the install base item record. Use this value to display the configuration item name in the UI.Data type: String
items.configuration\_item.sys\_idSys\_id of the configuration item record associated with the install base item record.Data type: String
items.consumer

Details about the consumer associated with the install base item record.Note: The consumer field is only available if the B2B2C plugin is installed.

Data type: Object

"consumer": {
  "display_value": "String",
  "sys_id": "String"
}
items.consumer.display\_valueText name of the consumer associated with the install base item record. Use this value to display the consumer name in the UI.Data type: String
items.consumer.sys\_idSys\_id of the consumer record associated with the install base item record.Data type: String
items.consumer\_profile

Details about the consumer profile associated with the install base item record.Note: The consumer profile field is only available if the B2B2C plugin is installed.

Data type: Object

"consumer_profile": {
  "display_value": "String",
  "sys_id": "String"
}
items.consumer\_profile.display\_valueText name of the consumer profile associated with the install base item record. Use this value to display the consumer profile name in the UI.Data type: String
items.consumer\_profile.sys\_idSys\_id of the consumer profile record associated with the install base item record.Data type: String
items.contactDetails about the account contact responsible for the install base item record.Data type: Object
"contact": {
  "display_value": "String",
  "sys_id": "String"
}
items.contact.display\_valueText name of the account contact associated with the install base item record. Use this value to display the account contact name in the UI.Data type: String
items.contact.sys\_idSys\_id of the account contact record associated with the install base item record.Data type: String
items.health\_statusDetails about the current health status of the install base item. Only returned if the Proactive Customer Service Operations \(com.snc.proactive\_cs\_itom\) plugin is installed.Data type: Object
"health_status": {
  "display_value": "String",
  "value": "String"
}
items.health\_status.display\_valueText string of the current health status of the install base item. Use this value to display the health status in the UI.Data type: String
items.health\_status.valueInternal value of the health status of the install base item.Data type: String
items.health\_status\_last\_updatedDate and time when the health status was last updated for the install base item.Data type: String
items.householdDetails about the household associated with the install base item record. Only returned if the Customer Household Data Model \(com.snc.household\) plugin is installed.Data type: Object
"household": {
  "display_value": "String",
  "sys_id": "String"
}
items.household.display\_valueText name of the household associated with the install base item record. Use this value to display the household name in the UI.Data type: String
items.household.sys\_idSys\_id of the household associated with the install base item record.Data type: String
items.install\_dateDetails about the date when the install base item became active.Data type: Object
"install_date": {
  "display_value": "String",
  "value": "String"
}
items.install\_date.display\_valueText install date. Use this value to display the install date in the UI.Data type: String
items.install\_date.valueInternal value of the install date.Data type: String
items.locationDetails about the location of the install base item.Data type: Object
"location": {
  "display_value": "String",
  "sys_id": "String"
}
items.location.display\_valueText name of the install base item location. Use this value to display the location name in the UI.Data type: String
items.location.sys\_idSys\_id of the location record associated with the install base item record.Data type: String
items.nameName of the install base item.Data type: String
items.numberUnique ID of the install base item.Data type: String
items.parentDetails about the parent record of the install base item record.Data type: Object
"parent": {
  "display_value": "String",
  "sys_id": "String"
}
items.parent.display\_valueText name of the parent record associated with the install base item record. Use this value to display the parent name in the UI.Data type: String
items.parent.sys\_idSys\_id of the parent record associated with the install base item record.Data type: String
items.productDetails about the product model associated with the install base item record. Use this information to identify the services associated with any product model.Data type: Object
"product": {
  "display_value": "String",
  "sys_id": "String"
}
items.product.display\_valueText name of the product model associated with the install base item record. Use this value to display the product name in the UI.Data type: String
items.product.sys\_idSys\_id of the product model record associated with the install base item record.Data type: String
items.service\_contextDetails about the service context associated with the install base item record.Data type: Object
"service_context": {
  "display_value": "String",
  "sys_id": "String"
}
items.service\_context.display\_valueText name of the service context associated with the install base item record. Use this value to display the service context name in the UI.Data type: String
items.service\_context.sys\_idSys\_id of the service context record associated with the install base item record.Data type: String
items.service\_organizationDetails about the service organization associated with the install base item record. Only returned if the Service Organization \(com.snc.service\_organization\) plugin is installed.Data type: Object
"service_organization": {
  "display_value": "String",
  "sys_id": "String"
}
items.service\_organization.display\_valueText name of the service organization associated with the install base item record. Use this value to display the service organization name in the UI.Data type: String
items.service\_organization.sys\_idSys\_id of the service organization record associated with the install base item record.Data type: String
items.sys\_class\_nameTable containing the install base item record.Data type: String
items.sys\_idSys_id of the install base item record. Located in the table specified in the sys_class_name parameter.Data type: String
items.sys\_mod\_countNumber of times that the associated install base item record has been modified.Data type: String
items.stateDetails about the current state of the install base item.Data type: Object
"state": {
  "display_value": "String",
  "value": "String"
}
items.state.display\_valueText string of the current state of the install base item. Use this value to display the state in the UI.Data type: String
items.state.valueInternal value of the state of the install base item.Data type: String
items.statusDetails about the status of the install base item.Data type: Object
"status": {
  "display_value": "String",
  "value": "String"
}
items.status.display\_valueText string of the status of the install base item. Use this value to display the status in the UI.Data type: String
items.status.valueInternal value of the status of the install base item.Data type: String
items.uninstall\_dateDetails about the date when the install base item became inactive.Data type: Object
"uninstall_date": {
  "display_value": "String",
  "value": "String"
}
items.uninstall\_date.display\_valueText uninstall date. Use this value to display the uninstall date in the UI.Data type: String
items.uninstall\_date.valueInternal value of the uninstall date.Data type: String
statusStatus of the endpoint call.Data type: String
sysparm\_depthNumber of levels deep the returned child install base item is in the hierarchy.Data type: Integer
sysparm\_limitNumber of records that were returned. If this value isn't specified in the original request, it uses the default value.Data type: Number
sysparm\_offsetOffset \(starting point\) in the associated table from which records were evaluated and retrieved.Data type: String

cURL request

The following code example shows how to call this endpoint.

curl "https://instance.servicenow.com/api/sn_install_base/integrations/installbaseitems/767f34d378d21110f877d304c76fdd2a/childinstallbaseitems?sysparm_limit=1" \
--request GET \
--header "Accept:application/json" \
--user 'username':'password'

Return results:

{
  "result": {
    "sysparm_offset": 0,
    "sysparm_limit": 1,
    "has_more": true,
    "items": [
      {
        "parent": {
          "sys_id": "767f34d378d21110f877d304c76fdd2a",
          "display_value": "X5 Sport Utility 4D"
        },
        "sys_class_name": "sn_install_base_item",
        "number": "IBITM0001005",
        "sys_id": "0704dfcc39265110f87734024cfbc222",
        "state": {
          "value": "in_use",
          "display_value": "In Use"
        },
        "consumer": {
          "sys_id": "bab5139ab3401010700b4d43c6a8dc41",
          "display_value": "Charles Barkley"
        },
        "product": {
          "sys_id": "56c84f0439265110f87734024cfbc233",
          "display_value": "Electric Power-Assist Speed-Sensing Steering"
        },
        "active": "true",
        "name": "Electric Power-Assist Speed-Sensing Steering",
        "status": {
          "value": "original",
          "display_value": "Original"
        }
      }
    ],
    "status": "SUCCESS"
  }
}

Install Base Item - GET /sn_install_base/integrations/installbaseitems/{id}/contracts

Returns the contracts associated with a specified install base item record.

URL format

Versioned URL: /api/sn_install_base/{api_version}/integrations/installbaseitems/{id}/contracts

Default URL: /api/sn_install_base/integrations/installbaseitems/{id}/contracts

Note: Available versions are specified in the REST API Explorer. For scripted REST APIs there is additional version information on the Scripted REST Service form.

Supported request parameters

NameDescription
api\_versionOptional. Version of the endpoint to access. For example, `v1` or `v2`. Only specify this value to use an endpoint version other than the latest. Data type: String
idSys\_id of the install base item record.Data type: String Table: Install Base Item \[sn\_install\_base\_item\]
NameDescription
field name-value pairs

Field-value pairs to use to filter the contract records. By default this references the fields in the Contract [ast_contract] table. If you specify a different table in sys_class_name, then specify the fields in that table.You can pass one or more field-value pairs to filter the return results.

For example, to return only records where the renewable field is set to "true", pass the follow: &renewable=true.

Data type: String

Default: All fields

sys\_class\_nameIf using an extended contracts table \(not ast\_contract\), the name of the extended table to query.Data type: String Default: ast\_contract
sysparm\_limit

Maximum number of records to return. For requests that exceed this number of records, use the sysparm_offset parameter to paginate record retrieval. This limit is applied before ACL evaluation. If no records return, including records you have access to, rearrange the record order so records you have access to return first.

Note: Unusually large sysparm_limit values can impact system performance.

Data type: Number

Default: 10000

sysparm\_offset

Starting record index for which to begin retrieving records. Use this value to paginate record retrieval. This functionality enables the retrieval of all records, regardless of the number of records, in small manageable chunks. For example, the first time you call this endpoint, sysparm_offset is set to "0". To simply page through all available records, use sysparm_offset=sysparm_offset+sysparm_limit, until you reach the end of all records.

Don't pass a negative number in the sysparm_offset parameter.Data type: Number

Default: 0

NameDescription
None 

Headers

The following request and response headers apply to this HTTP action only, or apply to this action in a distinct way. For a list of general headers used in the REST API, see Supported REST API headers.

HeaderDescription
AcceptData format of the response body. Supported types: application/json or application/xml. Default: application/json
HeaderDescription
None 

Status codes

The following status codes apply to this HTTP action. For a list of possible status codes used in the REST API, see REST API HTTP response codes.

Status codeDescription
200Successful. The request was successfully processed.
400Bad Request. A bad request type or malformed request was detected.
403Forbidden. The user doesn't have access rights to the specified record.
404Not found. The requested item wasn't found.
500Internal server error. An unexpected error occurred while processing the request. The response contains additional information about the error.

Response body parameters (JSON or XML)

NameDescription
contractsList of the contracts associated with the specified install base item record.Data type: Array of Object
"contracts": [
  {
    "active": "String", 
    "approver": {Object},
    "commitment": "String",
    "consumer": {Object},
    "cost_adjustment": "String",
    "cost_adjustment_percentage": "String",
    "cost_per_unit": "String",
    "contract_composite": "String",
    "ends": "String",
    "expiration": {Object},
    "lifetime_cost": "String",
    "monthly_cost": "String",
    "number": "String",
    "payment_amount": "String",
[...]
